Bug 1717625 - [abrt] openscad: std::__replacement_assert(): openscad killed by SIGABRT
Summary: [abrt] openscad: std::__replacement_assert(): openscad killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openscad
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fe0284c6b918a4deb9c9355fc7d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 20:06 UTC by Ondrej Svetlik
Modified: 2019-07-08 08:12 UTC (History)
1 user (show)

Fixed In Version: openscad-2019.05-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-08 01:08:36 UTC


Attachments (Terms of Use)
File: backtrace (72.75 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: cgroup (351 bytes, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: core_backtrace (15.80 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: cpuinfo (1.55 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: dso_list (17.64 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: environ (3.59 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: limits (1.29 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: maps (110.57 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: mountinfo (4.36 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: open_fds (1.66 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2019-06-05 20:06 UTC, Ondrej Svetlik
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openscad openscad issues 2965 None None None 2019-06-07 08:54:50 UTC

Description Ondrej Svetlik 2019-06-05 20:06:08 UTC
Description of problem:
I tried to import() a file with wrong extension (other file format than the extension suggests).

Version-Release number of selected component:
openscad-2019.05-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        openscad
crash_function: std::__replacement_assert
executable:     /usr/bin/openscad
journald_cursor: s=0fdb93210f5044a7b9ed31e829968271;i=2d386a;b=fdeba4ce45c041c0b37771b8c06325ba;m=68762c4ae;t=58a98ee8255c1;x=4160ed7c19feae4
kernel:         5.1.5-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Ondrej Svetlik 2019-06-05 20:06:12 UTC
Created attachment 1577676 [details]
File: backtrace

Comment 2 Ondrej Svetlik 2019-06-05 20:06:13 UTC
Created attachment 1577677 [details]
File: cgroup

Comment 3 Ondrej Svetlik 2019-06-05 20:06:15 UTC
Created attachment 1577678 [details]
File: core_backtrace

Comment 4 Ondrej Svetlik 2019-06-05 20:06:16 UTC
Created attachment 1577679 [details]
File: cpuinfo

Comment 5 Ondrej Svetlik 2019-06-05 20:06:18 UTC
Created attachment 1577680 [details]
File: dso_list

Comment 6 Ondrej Svetlik 2019-06-05 20:06:20 UTC
Created attachment 1577681 [details]
File: environ

Comment 7 Ondrej Svetlik 2019-06-05 20:06:21 UTC
Created attachment 1577682 [details]
File: limits

Comment 8 Ondrej Svetlik 2019-06-05 20:06:23 UTC
Created attachment 1577683 [details]
File: maps

Comment 9 Ondrej Svetlik 2019-06-05 20:06:25 UTC
Created attachment 1577684 [details]
File: mountinfo

Comment 10 Ondrej Svetlik 2019-06-05 20:06:26 UTC
Created attachment 1577685 [details]
File: open_fds

Comment 11 Ondrej Svetlik 2019-06-05 20:06:27 UTC
Created attachment 1577686 [details]
File: proc_pid_status

Comment 12 Miro Hrončok 2019-06-05 21:32:40 UTC
what was the actual file format and what was the extension?

Comment 13 Ondrej Svetlik 2019-06-07 06:48:43 UTC
To reproduce:

$ touch bla.stl
$ echo 'import("bla.stl");' > bla.scad
$ openscad bla.scad 
-----> Now, press F6 or select Render from the menu/toolbar
QMetaObject::connectSlotsByName: No matching signal for on_AxisTrim()
QMetaObject::connectSlotsByName: No matching signal for on_AxisTrimReset()
/usr/include/c++/9/bits/stl_vector.h:1042: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = Eigen::Matrix<float, 3, 1>; _Alloc = std::allocator<Eigen::Matrix<float, 3, 1> >; std::vector<_Tp, _Alloc>::reference = Eigen::Matrix<float, 3, 1>&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
Neúspěšně ukončen (SIGABRT) (core dumped [obraz paměti uložen])

Comment 14 Ondrej Svetlik 2019-06-07 06:51:41 UTC
$ touch bla.png
$ echo 'surface("bla.png");' > bla.scad
$ openscad bla.scad 
-----> Now, press F6 or select Render from the menu/toolbar
QMetaObject::connectSlotsByName: No matching signal for on_AxisTrim()
QMetaObject::connectSlotsByName: No matching signal for on_AxisTrimReset()
/usr/include/c++/9/bits/stl_vector.h:1042: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = Eigen::Matrix<float, 3, 1>; _Alloc = std::allocator<Eigen::Matrix<float, 3, 1> >; std::vector<_Tp, _Alloc>::reference = Eigen::Matrix<float, 3, 1>&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.
Neúspěšně ukončen (SIGABRT) (core dumped [obraz paměti uložen])

Comment 15 Miro Hrončok 2019-06-07 08:54:51 UTC
Thanks.

Reported upstream: https://github.com/openscad/openscad/issues/2965

Comment 16 Miro Hrončok 2019-06-07 20:23:42 UTC
Do you mind if I make this not private? I don't think there are any personal information here.

Comment 17 Ondrej Svetlik 2019-06-07 23:35:09 UTC
No problem, I'd do it myself, but cannot :-).

Comment 18 Miro Hrončok 2019-06-24 07:44:13 UTC
https://github.com/openscad/openscad/pull/2973 should fix this

Comment 19 Fedora Update System 2019-06-24 13:22:30 UTC
FEDORA-2019-3062267cab has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3062267cab

Comment 20 Fedora Update System 2019-06-30 01:16:21 UTC
openscad-2019.05-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3062267cab

Comment 21 Fedora Update System 2019-07-08 01:08:36 UTC
openscad-2019.05-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Ondrej Svetlik 2019-07-08 08:12:53 UTC
Thanks, it works well now.


Note You need to log in before you can comment on or make changes to this bug.